Bug 243386 - Package should require yelp for its help
Package should require yelp for its help
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glunarclock (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 12:25 EDT by Matěj Cepl
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.32.4-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 15:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matěj Cepl 2007-06-08 12:25:56 EDT
This package uses yelp for its help. Therefore, it should require package yelp for its operation.

[Filed by a script; forgive him if he made a mistake for once.]
Comment 1 Jon Ciesla 2007-06-08 13:35:26 EDT
Indeed.  Corrected, along with some minor spec cleanup.  Built in devel, will
build for other branches.
Comment 2 Christopher Aillon 2007-06-09 18:49:54 EDT
All of these bug reports are (most likely) wrong.  The package should NOT
require yelp.  We went through effort to ensure that yelp is not a requirement
for the desktop.

You should ask yourself: will the package fail to work if yelp is not installed?
 If not, do not require yelp.

If you have already committed this fix blindly, I ask that you consider undoing
it so derivative projects can continue using your package without help if they
so choose.

We have added yelp to the default install via comps so that all installs get
yelp by default unless they specifically ask for it to be removed.  We should
honor that.  Please undo your changes if you have made them and/or mark this bug
WONTFIX.  Thanks.
Comment 3 Jon Ciesla 2007-06-11 09:26:56 EDT
Backed out, rebuilt.
Comment 4 Fedora Update System 2007-06-12 15:57:58 EDT
glunarclock-0.32.4-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.